org.richfaces.fragment.inputNumberSlider

## Interface NumberInput

- All Known Subinterfaces:
    InputNumberSlider
  All Known Implementing Classes:
    AbstractNumberInput, RichFacesInputNumberSlider, RichFacesInputNumberSpinner

      public interface NumberInput

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decrease()` Decreases the current value of this number input by the value of the step.
    `void` | `decrease(int n)` Dcreases the current value of this number input by the value of the step `n` times.
    `double` | `getValue()` Gets the current number value of this number input.
    `void` | `increase()` Increases the current value of this number input by the value of the step.
    `void` | `increase(int n)` Increases the current value of this number input by the value of the step `n` times.
    `void` | `setValue(double value)` Sets the exact number value to the input.

- - ### Method Detail

    - #### increase

          void increase()

      Increases the current value of this number input by the value of the step.
      Throws:
        `RuntimeException` - if there is no handler for increasing the value (for example arrow)

    - #### decrease

          void decrease()

      Decreases the current value of this number input by the value of the step.
      Throws:
        `RuntimeException` - if there is no handler for decreasing the value (for example arrow)

    - #### increase

          void increase(int n)

      Increases the current value of this number input by the value of the step `n` times. In other words, if the step is 2, and given param `n` is 3, the input value is increased by 6.
      Parameters:
        `n` - how many times the increasing should be executed
      Throws:
        `RuntimeException` - if there is no handler for increasing the value (for example arrow)

    - #### decrease

          void decrease(int n)

      Dcreases the current value of this number input by the value of the step `n` times. In other words, if the step is 2, and given param `n` is 3, the input value is decreased by 6.
      Parameters:
        `n` - how many times the decreasing should be executed
      Throws:
        `RuntimeException` - if there is no handler for decreasing the value (for example arrow)

    - #### setValue

          void setValue(double value)

      Sets the exact number value to the input.
      Parameters:
        `value` - value to be set

    - #### getValue

          double getValue()

      Gets the current number value of this number input.
      Returns:
        the current value of the number input

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.